var scriptName = "KillSult";
var scriptVersion = 1.2;
var scriptAuthor = "MCIronRealYT";

var S02PacketChat = Java.type("net.minecraft.network.play.server.S02PacketChat");
var Pattern = Java.type("java.util.regex.Pattern");
var Matcher = Java.type("java.util.regex.Matcher");

var msgs = [
	"Mày mua config ở dâu mà rác thế vậy con chó %name%, tải Autodie về đi.",
	"Em làm cả ngày để ăn 1 cây xúc xích hả %name% :(, anh đi mua xe tiếp đây.",
	"Sao mày PVP Óc chó thế hả con chó %name%.",
	"Djt mẹ mới sáng sớm gặp thng trash %name%, t dùng autodie cho đỡ ức chế.",
	"Config của ông như loz vậy á %name%",
	"Sao m ngu thể hả %name%",
	"Cay chưa, cay thì tải Autodie về chơi đi nhá %name%",
	"Nhớ đăng kí cho Phu Pham Channel nha con chó %name%!!",
	"Con gà thì mãi mãi là con gà thôi %name% à",
	"Config m mua sao trash vậy con chó %name%.",
	"Config của mày gà thế v con chó %name%.",
	"Bạn đánh mình k trúng phát nào luôn %name% à.",
	"%name% Đừng cay tao nha,tao chỉ giết mày cho vui thôi."          
];

function Module1() {
    this.getName = function() {
        return "KillSult";
    };
	this.getTag = function() {
		return "CàKhịa";
	};
    this.getDescription = function() {
        return "Cà Khịa + Quảng Cáo";
    };
    this.getCategory = function() {
        return "Fun";
    };
	var killer = Pattern.compile("§r§a([^§ ]*)");
	var victim = Pattern.compile("§r§c([^§ ]*)");
	var curMsg = 0;

	this.onPacket = function(event) {
		var packet = event.getPacket();
		if (packet instanceof S02PacketChat) {
			var msg = packet.getChatComponent().getFormattedText();
			if (msg.startsWith("§r§7[§r§e§lSkywars§r§7] ")) {
				var m0 = killer.matcher(msg), m1 = victim.matcher(msg);

				if (!m0.find() || !m1.find()) return;
				var a = m0.group(1), b = m1.group(1);
				if (a.equalsIgnoreCase(mc.thePlayer.getName())) {
					if (curMsg >= msgs.length - 1) curMsg = 0;
					mc.thePlayer.sendChatMessage(msgs[curMsg].replaceAll("%name%", b));
					curMsg++;
				}
			}
		}
	};
}

var modules = [
	new Module1()
];
function onEnable() {
	for (var i = 0; i < modules.length; i++) moduleManager.registerModule(modules[i]);
};
function onDisable() {
	for (var i = 0; i < modules.length; i++) moduleManager.unregisterModule(modules[i]);
};
